CREATE TABLE grc_acn_cert_role_user_tl (
    CERT_USER_ROLE_ID               NUMBER(18, 0) ,
    LANGUAGE                        VARCHAR2(16)  ,
    SOURCE_LANG                     VARCHAR2(16)      NOT NULL,
    BUSINESS_UNIT                   VARCHAR2(1200),
    JOB_NAME                        VARCHAR2(1200),
    LOCATION                        VARCHAR2(1200),
    POSITION_NAME                   VARCHAR2(1200),
    DEPARTMENT                      VARCHAR2(1200),
    JOB_FAMILY                      VARCHAR2(1200),
    JOB_FUNCTION                    VARCHAR2(1200),
    LOCATION_CODE                   VARCHAR2(1200),
    ASSIGNMENT_CATEGORY             VARCHAR2(1200),
    ASSIGNMENT_STATUS_TYPE          VARCHAR2(1200),
    USER_ROLE_ASSET_BOOK            VARCHAR2(4000),
    USER_ROLE_BUSINESS_UNIT         VARCHAR2(4000),
    USER_ROLE_DATA_ACCESS_SET       VARCHAR2(4000),
    USER_ROLE_LEDGER                VARCHAR2(4000),
    USER_ROLE_REFERENCE_DATA_SET    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LEGAL_EMPLOYER                  VARCHAR2(1200),
    CERT_USER_ROLE_ID               NUMBER(18, 0) ,
    LANGUAGE                        VARCHAR2(16)  ,
    SOURCE_LANG                     VARCHAR2(16)      NOT NULL,
    BUSINESS_UNIT                   VARCHAR2(1200),
    JOB_NAME                        VARCHAR2(1200),
    LOCATION                        VARCHAR2(1200),
    POSITION_NAME                   VARCHAR2(1200),
    DEPARTMENT                      VARCHAR2(1200),
    JOB_FAMILY                      VARCHAR2(1200),
    JOB_FUNCTION                    VARCHAR2(1200),
    LOCATION_CODE                   VARCHAR2(1200),
    ASSIGNMENT_CATEGORY             VARCHAR2(1200),
    ASSIGNMENT_STATUS_TYPE          VARCHAR2(1200),
    USER_ROLE_ASSET_BOOK            VARCHAR2(4000),
    USER_ROLE_BUSINESS_UNIT         VARCHAR2(4000),
    USER_ROLE_DATA_ACCESS_SET       VARCHAR2(4000),
    USER_ROLE_LEDGER                VARCHAR2(4000),
    USER_ROLE_REFERENCE_DATA_SET    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LEGAL_EMPLOYER                  VARCHAR2(1200),
    CONSTRAINT pk_grc_acn_cert_role_user_tl PRIMARY KEY (CERT_USER_ROLE_ID, LANGUAGE, CERT_USER_ROLE_ID, LANGUAGE)
);
